package com.gihon.sso;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.security.servlet.SecurityAutoConfiguration;
import org.springframework.boot.builder.SpringApplicationBuilder;
import org.springframework.boot.web.servlet.support.SpringBootServletInitializer;
import org.springframework.context.annotation.ComponentScan;


/**
 * 单点登录
 * 
 * @author baihe
 *
 */
@ComponentScan(basePackages = {"com.gihon.common","com.gihon.sso"})
@SpringBootApplication(exclude = {SecurityAutoConfiguration.class })
public class SingleSecuritySignOnApp extends SpringBootServletInitializer {
	
	public static void main(String[] args) {
		SpringApplication app = new SpringApplication(SingleSecuritySignOnApp.class);
		app.run(args);
	}

	/**
	 * 部署在Web容器中,需要Servlet3.0
	 */
	@Override
	protected SpringApplicationBuilder configure(SpringApplicationBuilder builder) {
		return builder.sources(SingleSecuritySignOnApp.class);
	}
}
