package com.gihon.sso.service;

import org.springframework.security.core.Authentication;

import com.gihon.sso.entity.vo.SecurityUserInfo;
import com.gihon.sso.service.TokenService;

/**
 * 管理Token
 * 
 * @author baihe
 *
 */
public interface SecurityTokenService extends TokenService{


    /*********************** Security *****************************************/
    /**
     * Security 获取Authentication
     * 
     * @param authentication
     * @return
     */
    Authentication getAuthentication(Authentication authentication);
    
    /**
     * 通过账号获取用户信息
     * 
     * @param account
     * @return
     */
    SecurityUserInfo getUserInfo(String account);
    
    /**
     * 通过账号获取用户信息
     * 
     * @param account
     * @return
     */
    SecurityUserInfo checkTokenInfo(String account);
}
