package com.gihon.sso.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.gihon.common.entity.GihonUser;
import com.gihon.common.exception.LoginException;
import com.gihon.common.util.PasswordUtils;
import com.gihon.common.web.response.ResponseStatus;
import com.gihon.sso.entity.vo.UserInfo;
import com.gihon.sso.service.GihonUserService;
import com.gihon.sso.service.LoginUserService;

@Service
public class LoginUserServiceImpl implements LoginUserService {

    @Autowired
    private GihonUserService gihonUserService;

    @Override
    public UserInfo queryUserByUserAccount(String account) {
        GihonUser user = gihonUserService.lambdaQuery().eq(GihonUser::getUsername, account).one();
        UserInfo userInfo = null;
        if (user != null) {
            userInfo = new UserInfo(user);
        }
        return userInfo;
    }

    @Override
    public UserInfo queryUserForLogin(String account, String password) {
        UserInfo userInfo = this.queryUserByUserAccount(account);
        if (userInfo == null) {
            throw new LoginException(ResponseStatus.LOGIN_ERROR);
        }
        boolean checkFlag = PasswordUtils.checkPassword(userInfo.getPassword(), password, userInfo.getSalt());
        
        if (!checkFlag) {
            throw new LoginException(ResponseStatus.LOGIN_ERROR);
        }
        return userInfo;
    }

}
